﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=7.8
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

	Dim sNotif As Notification

	Dim WScan As MLScan
	Dim Wwifi As MLwifi
	Dim WifiTimer As Timer

End Sub

Sub Service_Create

	WifiTimer.Initialize("WifiTimer", 3000)

	sNotif.Initialize
	sNotif.Icon = "icon" 'OP.nIcon

	If Wwifi.isWifiEnabled = True Then Wwifi.holdWifiOn2(2)

	sNotif.Sound = False
	sNotif.Vibrate = False
	sNotif.SetInfo("AppName", "AppInfo", Main)
	sNotif.Notify(1)
	Service.StartForeground(1, sNotif)

End Sub

Sub Service_Start (StartingIntent As Intent)

	If WifiTimer.Enabled = False Then

		If Wwifi.isWifiEnabled = True Then WScan.startScan("WScan", True)

		WifiTimer.Enabled = True

		Log("Wifi scan started!")
	End If

End Sub

Sub Service_Destroy

	If WifiTimer.Enabled = True Then
		WifiTimer.Enabled = False

		If Wwifi.isWifiEnabled = True Then Wwifi.releaseWifiOn

		Try
			WScan.stopScan
		Catch
			Log("WifiScanReciever not started but stopped...")
		End Try

		Log("Wifi scan stopped!")
	End If

End Sub

Sub WifiTimer_Tick

	If Wwifi.isWifiEnabled = True Then WScan.updateWifiList

End Sub

Sub WScan_ScanDone(Results() As String, Count As Int)

	Log("scan done " & Count )

End Sub

